"use strict";

// slider_height - высота слайдера. Подаётся для того, чтобы позиционировать div с кнопками по центру по вертикали
var PButtons = function ($div_pbuttons, slider_height, fOnClick) {

    // ссылка на функцию, которая вызовется, когда пользователь кликнет по кнопке
    var _fOnClick = fOnClick;

    // в этом диве живут кнопки
    var _div_buttons = null;

    // высота слайдера. Нужна для того, чтобы позиционировать _div_buttons по центру по вертикали
    var _slider_height;

    // две кнопки перемотки
    var button_prev;
    var button_next;

    // инициализация
    var _fInit = function ($div_pbuttons, slider_height) {

        _div_buttons = $div_pbuttons;
        _slider_height = slider_height;

        // разместим _div_buttons по центру по вертикали
        var top = (_slider_height - _div_buttons.outerHeight()) / 2;
        $div_pbuttons.css('top', top + 'px');

        // зафиксируем кнопки
        button_prev = _div_buttons.find('.prev a');
        button_next = _div_buttons.find('.next a');

        // слушаем клики
        button_prev.on('click', _fOnButtonClick);
        button_next.on('click', _fOnButtonClick);
    };

    // слушаем клики
    var _fOnButtonClick = function (e) {
        //console.log($(this).attr('class')); => prev или next

        e.preventDefault();

        // определяем кнопку, по которой кликнули
        var clicked_button = $(this).attr('class');

        // отправляем её имя в функцию уровнем выше
        _fOnClick(clicked_button);

    };

    _fInit($div_pbuttons, slider_height);

};