module C80Wslider
  module ApplicationHelper

    # 01. для того, чтобы в каком-то div появился слайдер,
    # необходимо передать в него
    # массив картинок, которые надо отрисовать в слайдере

    # 02. Еще нужно задать высоту в px

    # images - массив строк вида ['frame1.jpg','frame2.jpg',...]
    # props - описание каждой картинки в соответствующем порядке ({h4,p})
    def render_wslider(images, props, height)

      # предварительно соберём пути до картинок фреймов
      images.each_with_index do |image_name,indx|
        images[indx] = image_path(image_name)
      end

      render :partial => 'c80_wslider/wslider_wrapper',
             :locals => {
                 images: images,
                 props: props,
                 height: height
             }
    end

  end
end